libssh: Data Fields

libssh 0.7.5

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - a -

- acceptForward() : ssh::Session
- acceptX11() : ssh::Channel
- auth_function : ssh_callbacks
- auth_gssapi_mic_function : ssh_server_callbacks
- auth_none_function : ssh_server_callbacks
- auth_password_function : ssh_server_callbacks
- auth_pubkey_function : ssh_server_callbacks

### - c -

- changePtySize() : ssh::Channel
- channel_open_request_session_function : ssh_server_callbacks
- channel_open_request_x11_function : ssh_callbacks
- close() : ssh::Channel
- connect() : ssh::Session
- connect_status_function : ssh_callbacks
- connected : ssh_socket_callbacks
- controlflow : ssh_socket_callbacks

### - d -

- data : ssh_socket_callbacks
- disconnect() : ssh::Session

### - e -

- exception : ssh_socket_callbacks

### - f -

- f_bavail : sftp_statvfs_t
- f_bfree : sftp_statvfs_t
- f_blocks : sftp_statvfs_t
- f_favail : sftp_statvfs_t
- f_ffree : sftp_statvfs_t
- f_files : sftp_statvfs_t
- f_flag : sftp_statvfs_t
- f_frsize : sftp_statvfs_t
- f_fsid : sftp_statvfs_t
- f_namemax : sftp_statvfs_t

### - g -

- getAuthList() : ssh::Session
- getCode() : ssh::SshException
- getDisconnectMessage() : ssh::Session
- getError() : ssh::SshException
- getIssueBanner() : ssh::Session
- getOpensshVersion() : ssh::Session
- getSocket() : ssh::Session
- getVersion() : ssh::Session
- global_request_function : ssh_callbacks
- gssapi_accept_sec_ctx_function : ssh_server_callbacks
- gssapi_select_oid_function : ssh_server_callbacks

### - i -

- incoming_connection : ssh_bind_callbacks
- isClosed() : ssh::Channel
- isEof() : ssh::Channel
- isOpen() : ssh::Channel
- isServerKnown() : ssh::Session

### - l -

- log_function : ssh_callbacks

### - o -

- optionsCopy() : ssh::Session
- optionsParseConfig() : ssh::Session

### - s -

- service_request_function : ssh_server_callbacks
- setOption() : ssh::Session
- silentDisconnect() : ssh::Session
- size : ssh_bind_callbacks , ssh_callbacks , ssh_server_callbacks

### - u -

- userauthNone() : ssh::Session
- userauthPassword() : ssh::Session
- userauthPublickey() : ssh::Session
- userauthPublickeyAuto() : ssh::Session
- userauthTryPublickey() : ssh::Session
- userdata : ssh_callbacks , ssh_server_callbacks , ssh_socket_callbacks

### - w -

- write() : ssh::Channel
- writeKnownhost() : ssh::Session